// list.h

#ifndef LIST_H
#define LIST_H

#include "node.h"
#include <iostream>

class List
{
    Node*	top;
public:
    List();
    ~List();
    void push(int item);
    int pop();
    Node* get_top() const;
    bool remove(int item);
    Node*	find(int item) const;
    bool remove_last();
};

std::ostream& operator<<(std::ostream&, const List&);

#endif

